> ## Documentation Index
> Fetch the complete documentation index at: https://phaseo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# إنشاء رابط تنزيل موقّع

> يرجع عنوان URL موقّعاً من الطرف الأول لتنزيل فيديو مُصيّر.

يتطلب الوصول إلى الميزات التجريبية في مساحة العمل. راجع [مهام الفيديو والمعالجة على دفعات](../../guides/async-video-and-batch.mdx) لمعرفة الإعداد والويب هوك والتعامل مع النتائج.


## OpenAPI

````yaml ar/openapi/v1/openapi.localized.yaml POST /videos/{video_id}/download_url
openapi: 3.0.3
info:
  title: Phaseo Gateway API
  description: >-
    واجهة API للبوابة تتيح الوصول إلى نماذج ذكاء اصطناعي متنوعة عبر نقاط نهاية
    متوافقة مع OpenAI.
  version: 1.0.0
  contact:
    name: Phaseo
    url: https://phaseo.app
    email: danielbutler500@gmail.com
servers:
  - url: https://api.phaseo.app/v1
    description: التوجيه العالمي
security:
  - BearerAuth: []
tags:
  - name: Gateway
    description: Core Phaseo Gateway operations.
paths:
  /videos/{video_id}/download_url:
    post:
      tags:
        - Gateway
      summary: إنشاء عنوان URL موقّع لتنزيل الفيديو
      description: يرجع عنوان URL موقّعاً من الطرف الأول لتنزيل فيديو مُصيّر.
      operationId: createVideoDownloadUrl
      parameters:
        - name: video_id
          in: path
          required: true
          description: معرّف طلب إنشاء الفيديو.
          schema:
            type: string
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                index:
                  type: integer
                  minimum: 0
                ttl_seconds:
                  type: integer
                  minimum: 1
                disposition:
                  type: string
                  enum:
                    - attachment
                    - inline
      responses:
        '200':
          description: عنوان URL موقّع للتنزيل
          content:
            application/json:
              schema:
                type: object
                properties:
                  download_url:
                    type: string
                  expires_at:
                    type: integer
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: المصادقة باستخدام رمز Bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.